| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations
stream.h File Reference

## Classes

class | wxStreamBase
| This class is the base class of most stream related classes in wxWidgets. More...
class | wxStreamBuffer
| wxStreamBuffer is a cache manager for wxStreamBase: it manages a stream buffer linked to a stream. More...
class | wxOutputStream
| wxOutputStream is an abstract base class which may not be used directly. More...
class | wxInputStream
| wxInputStream is an abstract base class which may not be used directly. More...
class | wxCountingOutputStream
| wxCountingOutputStream is a specialized output stream which does not write any data anywhere, instead it counts how many bytes would get written if this were a normal stream. More...
class | wxBufferedInputStream
| This stream acts as a cache. More...
class | wxFilterClassFactory
| Allows the creation of filter streams to handle compression formats such as gzip and bzip2. More...
class | wxFilterOutputStream
| A filter stream has the capability of a normal stream but it can be placed on top of another stream. More...
class | wxFilterInputStream
| A filter stream has the capability of a normal stream but it can be placed on top of another stream. More...
class | wxBufferedOutputStream
| This stream acts as a cache. More...
class | wxWrapperInputStream
| A wrapper input stream is a kind of filter stream which forwards all the operations to its base stream. More...

## Enumerations

enum | wxStreamError { wxSTREAM_NO_ERROR = 0, wxSTREAM_EOF, wxSTREAM_WRITE_ERROR, wxSTREAM_READ_ERROR }
| These enumeration values are returned by various functions in the context of wxStream classes. More...
enum | wxStreamProtocolType { wxSTREAM_PROTOCOL, wxSTREAM_MIMETYPE, wxSTREAM_ENCODING, wxSTREAM_FILEEXT }
| Enumeration values used by wxFilterClassFactory. More...

## Enumeration Type Documentation

enum wxStreamError

These enumeration values are returned by various functions in the context of wxStream classes.

Enumerator:

  wxSTREAM_NO_ERROR | No error occurred.
  wxSTREAM_EOF | EOF reached in Read() or similar.
  wxSTREAM_WRITE_ERROR | generic write error on the last write call.
  wxSTREAM_READ_ERROR | generic read error on the last read call.

enum wxStreamProtocolType

Enumeration values used by wxFilterClassFactory.

Enumerator:

  wxSTREAM_PROTOCOL | wxFileSystem protocol (should be only one).
  wxSTREAM_MIMETYPE | MIME types the stream handles.
  wxSTREAM_ENCODING | The HTTP Content-Encodings the stream handles.
  wxSTREAM_FILEEXT | File extensions the stream handles.